<?php

return [
	/**
	 * 系统错误信息
	 */
	'100' => 'Continue',
	'101' => 'Switching Protocols',
	'102' => 'Processing',
	'103' => 'Checkpoint',
	'122' => 'Reques­t-URI too long',
	'200' => 'OK',
	'201' => 'Created',
	'202' => 'Accepted',
	'203' => 'Non-Au­tho­rit­ative Inform­ation',
	'204' => 'No Content',
	'205' => 'Reset Content',
	'206' => 'Partial Content',
	'207' => 'Multi-­Status',
	'208' => 'Already Reported',
	'226' => 'IM Used',
	'300' => 'Multiple Choices',
	'301' => 'Moved Perman­ently',
	'302' => 'Found',
	'303' => 'See Other',
	'304' => 'Not Modified',
	'305' => 'Use Proxy',
	'306' => 'Switch Proxy',
	'307' => 'Temporary Redirect',
	'308' => 'Resume Incomplete',
	'400' => 'Bad Request',
	'401' => 'Unauth­orized',
	'402' => 'Payment Required',
	'403' => 'Forbidden',
	'404' => 'Not Found',
	'405' => 'Method Not Allowed',
	'406' => 'Not Acceptable',
	'407' => 'Proxy Authen­tic­ation Required',
	'408' => 'Request Timeout',
	'409' => 'Conflict',
	'410' => 'Gone',
	'411' => 'Length Required',
	'412' => 'Precon­dition Failed',
	'413' => 'Request Entity Too Large',
	'414' => 'Reques­t-URI Too Long',
	'415' => 'Unsupp­orted Media Type',
	'416' => 'Requested Range Not Satisf­iable',
	'417' => 'Expect­ation Failed',
	'418' => 'I am a teapot',
	'422' => 'Unproc­essable Entity',
	'423' => 'Locked',
	'424' => 'Failed Dependency',
	'425' => 'Unordered Collection',
	'426' => 'Upgrade Required',
	'428' => 'Precon­dition Required',
	'429' => 'Too Many Requests',
	'431' => 'Request Header Fields Too Large',
	'444' => 'No Response',
	'449' => 'Retry With',
	'450' => 'Blocked By Windows Parental Controls',
	'451' => 'Unavai­lable For Legal Reasons',
	'499' => 'Client Closed Request',
	'500' => 'Internal Server Error',
	'501' => 'Not Implem­ented',
	'502' => 'Bad Gateway',
	'503' => 'Service Unavai­lable',
	'504' => 'Gateway Timeout',
	'505' => 'HTTP Version Not Supported',
	'506' => 'Variant Also Negotiates',
	'507' => 'Insuff­icient Storage',
	'508' => 'Loop Detected',
	'509' => 'Bandwidth Limit Exceeded',
	'510' => 'Not Extended',
	'511' => 'Network Authen­tic­ation Required',
	'598' => 'Network read timeout error',
	'599' => 'Network connect timeout error',

	/**
	 * 队列模块
	 */

	/* common 1000~1099 */
	'1000' => 'Exception',
	'1001' => 'rabbitMQ 错误',
	'1002' => 'rabbitMQ API 错误',
	'1003' => '表单验证失败',
	'1004' => '未查询到结果',
	'1005' => '该消息并未返回结果',

	//queue 1100~1199
	'1100' => '队列名称不能为空',
	'1101' => '队列名称必须是有效的字符串',

	//message 1200~1299
	'1201' => '消息主体不能为空',
	'1202' => '消息格式错误',
	'1203' => '消息id不能为空',
	'1204' => '消息id必须是有效的字符串',
	'1205' => '获取数量必须是整数',
	'1206' => '获取数量太小，必须大于0',
	'1207' => '获取数量太大，必须小于1000 [或联系开发解除限制]',
	'1208' => '未找到该队列对应的消费回调',
	'1209' => 'requeue只能是布尔值',
	'1210' => 'encoding格式错误',

	//consume 1300~1399
	'1300' => '队列中没有消息',
	'1301' => '队列中没有可删除的消息',
	'1302' => '非法的消费方式',
	'1303' => '未找到该队列的消费回调',
	'1304' => '消费回调错误',

	//ack 1400~1499


    //subscribe 1500~1599
    '1500' => '订阅者名称不能为空',
    '1501' => '主题名称不能为空',
    '1502' => '接收者不能为空',
	/**
	 * 其它模块
	 */
	'2001' => '身份验证失败',
	'2002' => '获取token失败',
];
