<?php
namespace common\models;

use Yii;
use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;

/**
 * Class Client
 * @package common\models
 */
class Client extends ActiveRecord
{
	const STATUS_DELETED = 0;

	const STATUS_ACTIVE = 1;

	/**
	 * @inheritdoc
	 */
	public function behaviors()
	{
		return [
			[
				'class' => TimestampBehavior::className(),
				'createdAtAttribute' => 'created_at',
				'updatedAtAttribute' => 'updated_at',
				'value'   => function() { return time();},
			],
		];
	}
}
